/*
Theme Name: ripro-v5-child
Theme URI: /
Description: CooKieKing 二次开发ripro-v5子主题
Author: CooKieKing
Author URI: /
Template:ripro-v5
Version: 2025.06
*/

:root,[data-bs-theme=light]{--ri-body-bg:#f0f4f5;--ri-body-bg-rgb:240,244,245;--ri-content-border:#e1e1e1}
[data-bs-theme=dark]{--ri-body-bg:#222529;--ri-body-bg-rgb:34,37,41;--ri-content-border:#595D69}
[data-bs-theme=dark] .post-item .entry-media .media-img{background-color:#191b1d}
[data-bs-theme=light] .post-item .entry-media .media-img{background-color:#fff}
body{font-family:Hiragino Sans GB,Microsoft Yahei,\\5FAE\8F6F\96C5\9ED1,SimSun,\\5B8B\4F53,Arial;line-height:24px;text-rendering:optimizeLegibility;word-break:break-word;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}
a{color:#34495e;text-decoration:none;-webkit-transition:all .3s ease;-moz-transition:all .3s ease;-o-transition:all .3s ease;transition:all .3s ease}
a:hover{color:#a11715;opacity:.8;cursor:pointer}
.post-item .entry-desc,.post-item .entry-title{-webkit-line-clamp:2}
.home-last-post .post-item .entry-media .media-img{margin-top:20px;height:80%}
.home-widget .post-item .entry-title{font-weight:400}
.post-item.item-grid .entry-meta{border-top:1px solid #ebeef5}
.post-content .history{-webkit-box-sizing:border-box;box-sizing:border-box;border:1px solid var(--ri-content-border);border-radius:3px;line-height:38px;height:40px;display:inline-block;margin:10px 5px 0 auto;padding:0 15px;cursor:pointer}
.post-content a:not(.btn){color:#34495e}
.post-content a:not(.btn):hover{color:#ca0c16}
.post-content>.h3:before,.post-content>h3:before,.post-item .entry-cat-dot>a:first-child:before{background-color:#ca0c16}
.breadcrumbs{margin-top:24px}
.ri-down-warp .down-buy-warp .buy-title{color:#ca0c16}
.ri-down-warp .down-msg{background-color:#ca0c16}
.accordion-header h2{margin:0 0 16px}
.btn-success{--ri-btn-color:#fff;--ri-btn-bg:#CD5C5C;--ri-btn-border-color:#CD5C5C;--ri-btn-hover-color:#fff;--ri-btn-hover-bg:#ca0c16;--ri-btn-hover-border-color:#B22222;--ri-btn-focus-shadow-rgb:48,198,153;--ri-btn-active-color:#fff;--ri-btn-active-bg:#0a966c;--ri-btn-active-border-color:#098d65;--ri-btn-active-shadow:none;--ri-btn-disabled-color:#fff;--ri-btn-disabled-bg:#0cbc87;--ri-btn-disabled-border-color:#0cbc87}